<?php
# Przykład wywołania metody dispatch, umożliwiającej wysłanie nowej przesyłki
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API
	
	$iMsgType = 1; // Typ przesyłki (1-przesyłka listowa, 2-Fax)
	
	// Tablica zawierająca zawartość plików z dokumentami, które powinny być umieszczone
	// w przesyłce (Mozna podac wiele plików jako kolejne elementy tablicy)
	$arDocFiles = array(
						array("file_stream" => base64_encode(file_get_contents("http://bramka.gsmservice.pl/docs/HTTP_API_Bramka_SMS.pdf")),
							  "file_name" => "Nazwa_Pliku.pdf")
						);
						
	// Tablica zawierająca dane odbiorców przesyłek, id odbiorcy w książce adresowej
	// lub id grupy odbiorców
	$arRecipients = array(
						// Dane odbiorców podane bezpośrednio:
						array("id" => 0 ,"source" => "inline", "recipient_name" => "Jan Nowak",
							  "recipient_address_prefix" => "ul.", "recipient_address" => "Przykładowa",
							  "recipient_home_number" => "2", "recipient_flat_number" => "5",
							  "recipient_post_code" => "00-999", "recipient_city" => "Warszawa",
							  "recipient_fax_number" => "000000000"),
						// Odbiorca z książki adresowej
						array("source" => "book", "id" => 1),
						// Odbiorcy z grupy odbiorców
						array("source" => "group", "id" => 5)
					);
						
	// Tablica zawierająca parametry przesyłki
	$arDispatchOptions = array(
						array("name" => "sender_id", "value" => 1), // ID nadawcy przesyłki
						array("name" => "config_id", "value" => 1), // ID profilu użytej konfiguracji
						array("name" => "dispatch_date", "value" => "2011-01-01") // data (w przypadku faksów również godzina i minuta) nadania przesyłki
						);
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody dispatch z przekazaniem wszystkich parametrów
	$output = $client->dispatch($sLogin, $sApiPass, $iMsgType, $arDocFiles, $arRecipients, $arDispatchOptions);
	
	// Przykład obsługi danych wyjściowych:
	echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
	for($i=0; $i<count($output->shipments); $i++)
	{
		echo "<br />".($i+1).". Przesyłka dla: ".$output->shipments[$i]->recipient_name.", ".$output->shipments[$i]->recipient_address." ".$output->shipments[$i]->recipient_home_number."/".$output->shipments[$i]->recipient_flat_number.", ".$output->shipments[$i]->recipient_post_code." ".$output->shipments[$i]->recipient_city.", fax: ".$output->shipments[$i]->recipient_fax_number.", składająca się z ".$output->shipments[$i]->page_number." stron ma status ".$output->shipments[$i]->status." (kod statusu: ".$output->shipments[$i]->status_code.", opis kodu: ".$output->shipments[$i]->status_description.")";
		if ($output->shipments[$i]->status=='OK')
			echo ", zostanie nadana za pośrednictwem: ".$output->shipments[$i]->dispatch_carrier." jako: ".$output->shipments[$i]->dispatch_type.". Jej koszt to ".$output->shipments[$i]->price." zł netto. Identyfikator tej przesyłki to: ".$output->shipments[$i]->id."." ;
	}
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>