<?php
# Przykład wywołania metody getDispatchStatus, umożliwiającej sprawdzenie statusów przesyłek
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API
	
	// Identyfikatory przesyłek, których status chcemy sprawdzić
	$arDispatchIds = array("E00008542","E00008541");
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody getDispatchStatus z przekazaniem wszystkich parametrów
	$output = $client->getDispatchStatus($sLogin, $sApiPass, $arDispatchIds);
	
	// Przykład obsługi danych wyjściowych:
	echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
	for($i=0; $i<count($output->shipments); $i++)
	{
		echo "<br />".($i+1).". Przesyłka dla: ".$output->shipments[$i]->recipient_name.", ".$output->shipments[$i]->recipient_address." ".$output->shipments[$i]->recipient_home_number."/".$output->shipments[$i]->recipient_flat_number.", ".$output->shipments[$i]->recipient_post_code." ".$output->shipments[$i]->recipient_city.", fax: ".$output->shipments[$i]->recipient_fax_number.", składająca się z ".$output->shipments[$i]->page_number." stron ma status ".$output->shipments[$i]->status." (kod statusu: ".$output->shipments[$i]->status_code.", opis kodu: ".$output->shipments[$i]->status_description.")";
		if ($output->shipments[$i]->status=='OK')
			echo ", Operator pocztowy, doręczający przesyłkę: ".$output->shipments[$i]->dispatch_carrier.", Typ przesyłki: ".$output->shipments[$i]->dispatch_type.". Jej koszt to ".$output->shipments[$i]->price." zł netto. Identyfikator tej przesyłki to: ".$output->shipments[$i]->id."." ;
	}
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>